%define libname		%mklibname fs 6
%define develname	%mklibname fs -d
%define staticname	%mklibname fs -s -d

Name: libfs
Summary: Library Interface to the X Font Server
Version: 1.0.8
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libFS-%{version}.tar.bz2

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xtrans) >= 1.0.0

%description
Libfs is a library interface to the X Font Server.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  Library Interface to the X Font Server
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
Libfs is a library interface to the X Font Server.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %{mklibname fs 6 -d}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libFS.so
%{_libdir}/libFS.la
%{_libdir}/pkgconfig/libfs.pc
%{_includedir}/X11/fonts/FSlib.h

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %{mklibname fs 6 -s -d}

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%{_libdir}/libFS.a

#-----------------------------------------------------------

%prep
%setup -q -n libFS-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/doc/libFS/FSlib.txt

%files -n %{libname}
%doc doc/FSlib.txt
%{_libdir}/libFS.so.6
%{_libdir}/libFS.so.6.0.0


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.8-2.mga8
+ Revision: 1523596
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 11 2019 tv <tv> 1.0.8-1.mga7
+ Revision: 1374148
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-3.mga7
+ Revision: 1298850
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.0.7-2.mga6
+ Revision: 955461
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.7-1.mga6
+ Revision: 837652
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 744583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-2.mga5
+ Revision: 681466
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 tv <tv> 1.0.6-1.mga5
+ Revision: 605907
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 525522
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.0.5-1.mga4
+ Revision: 433348
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.4-3.mga3
+ Revision: 397135
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 357136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.0.4-1.mga2
+ Revision: 218470
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 5974
- imported package libfs


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 589776
- adjust file list
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2010.1
+ Revision: 520777
- rebuilt for 2010.1

* Wed Jul 08 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.0.2-1mdv2010.0
+ Revision: 393478
- update to new version 1.0.2

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-3mdv2009.0
+ Revision: 264798
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.1-2mdv2009.0
+ Revision: 214368
- Rebuild to match changes in xtrans.

  + Thierry Vignaud <tv@mandriva.org>
    - improved description

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 211827
- New version
- Minor spec cleanup

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.0-5mdv2008.1
+ Revision: 153338
- Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-4mdv2008.1
+ Revision: 150561
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.0-3mdv2008.0
+ Revision: 54150
- rebuild for 2008
- new devel policy


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

